makeup|SDK makeup|SDK is a library based on visage|SDK face tracking used to configure and render virtual makeup.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
com.visagetechnologies.bsc.SkinToneResult Class Reference

Object representing the result retrieved from the skin tone analyzer. More...

## Public Member Functions
void | setRGB (com.visagetechnologies.std.Uint8Array3 value)
com.visagetechnologies.std.Uint8Array3 | getRGB ()
void | setRenderRGB (com.visagetechnologies.std.Uint8Array3 value)
com.visagetechnologies.std.Uint8Array3 | getRenderRGB ()
void | setHSL (com.visagetechnologies.std.FloatArray3 value)
com.visagetechnologies.std.FloatArray3 | getHSL ()
void | setFrameIndex (int value)
int | getFrameIndex ()
void | setStatus (com.visagetechnologies.bsc.TrackStatus value)
com.visagetechnologies.bsc.TrackStatus | getStatus ()

## Detailed Description

Object representing the result retrieved from the skin tone analyzer.

## Member Function Documentation

## ◆ getFrameIndex()

int com.visagetechnologies.bsc.SkinToneResult.getFrameIndex | ( |  | ) |
| inline

Frame index of last frame processed by skin tone analyzer.

## ◆ getHSL()

com.visagetechnologies.std.FloatArray3 com.visagetechnologies.bsc.SkinToneResult.getHSL | ( |  | ) |
| inline

Apparent hue, saturation and light of skin.

## ◆ getRenderRGB()

com.visagetechnologies.std.Uint8Array3 com.visagetechnologies.bsc.SkinToneResult.getRenderRGB | ( |  | ) |
| inline

Deprecated:
  : RGB of various monk skin tones that will give more realistic rendering results.

## ◆ getRGB()

com.visagetechnologies.std.Uint8Array3 com.visagetechnologies.bsc.SkinToneResult.getRGB | ( |  | ) |
| inline

@Note: This property now represents apparent RGB instead of the original Google RGB representation, of various monk skin tones.

## ◆ getStatus()

com.visagetechnologies.bsc.TrackStatus com.visagetechnologies.bsc.SkinToneResult.getStatus | ( |  | ) |
| inline

Tracking status for last frame processed by skin tone analyzer.

## ◆ setFrameIndex()

void com.visagetechnologies.bsc.SkinToneResult.setFrameIndex | ( | int | value | ) |
| inline

Frame index of last frame processed by skin tone analyzer.

## ◆ setHSL()

void com.visagetechnologies.bsc.SkinToneResult.setHSL | ( | com.visagetechnologies.std.FloatArray3 | value | ) |
| inline

Apparent hue, saturation and light of skin.

## ◆ setRenderRGB()

void com.visagetechnologies.bsc.SkinToneResult.setRenderRGB | ( | com.visagetechnologies.std.Uint8Array3 | value | ) |
| inline

Deprecated:
  : RGB of various monk skin tones that will give more realistic rendering results.

## ◆ setRGB()

void com.visagetechnologies.bsc.SkinToneResult.setRGB | ( | com.visagetechnologies.std.Uint8Array3 | value | ) |
| inline

@Note: This property now represents apparent RGB instead of the original Google RGB representation, of various monk skin tones.

## ◆ setStatus()

void com.visagetechnologies.bsc.SkinToneResult.setStatus | ( | com.visagetechnologies.bsc.TrackStatus | value | ) |
| inline

Tracking status for last frame processed by skin tone analyzer.